@echo off
setlocal
set mysources=
for %%i in (*.c) do call :Single %%i
set mydefines=-D_X86_=1 -Di386=1 -DSTD_CALL -DCONDITION_HANDLING=1 -DNT_UP=1 -DNT_INST=0 -DWIN32=100 -D_NT1X_=100 -DWINNT=1 -D_WIN32_WINNT=0x0400 -DWIN32_LEAN_AND_MEAN=1 -DDEVL=1 -DFPO=0 -DNDEBUG -D_DLL=1 -D_IDWBUILD -DRDRDBG -DSRVDBG -DCLYDESDALE -DPOWERPC=1
set myincludes=-I. -I..\..\inc -I..\..\digilib -I..\..\dsapi\inc -I..\..\dsapi\kernel -I..\..\kme\inc -I..\..\firmware\clyde\inc -I..\..\firmware\sync\inc -I..\..\firmware\dense\inc -Id:\ntddk\src\network\streams\inc -Id:\ntddk\inc -Id:\ntddk\inc -Id:\ntddk\inc
d:\winapps\lint\lint-nt +v -id:\winapps\lint\ std.lnt -os(_lint.tmp) %mydefines% %myincludes% %mysources%
endlocal
goto :EOF

:Single
set mysources=%mysources% %1
goto :EOF